package com.hai.service;

import com.hai.entity.HighActivityAward;
import com.hai.entity.HighActivityAwardActualPrize;
import com.hai.entity.HighActivityAwardSerialNum;
import com.hai.entity.HighActivityPrize;

import java.util.List;

/**
 * 活动奖励
 * @author hurui
 */
public interface HighActivityAwardService {

    /**
     * 根据活动信息查询
     * @param activityId 活动基本信息
     * @return
     */
    List<HighActivityAward> getListByActivityId(Long activityId);

    /**
     * @params  highActivityAward
     * @return void
     * @author sum1dream
     * @description 编辑活动奖励名次
     * @date 2021/9/28 11:35 下午
     * @version:    1.0.0
     */
    void editHighActivateAward(HighActivityAward highActivityAward);

    /**
     * @params  highActivityPrize
     * @return void
     * @author sum1dream
     * @description 编辑活动奖品
     * @date 2021/9/28 11:37 下午
     * @version:    1.0.0
     */
    void editHighActivatePrize(HighActivityPrize highActivityPrize);

    /**
     * @params HighActivityAwardSerialNum
     * @return void
     * @author sum1dream
     * @description 增加活动将池
     * @date 2021/9/28 11:38 下午
     * @version:    1.0.0
     */
    void addHighActivityAwardSerialNum(HighActivityAwardSerialNum highActivityAwardSerialNum);

    /**
     * @params HighActivityAwardActualPrize
     * @return void
     * @author sum1dream
     * @description 增加实际奖品
     * @date 2021/9/28 11:40 下午
     * @version:    1.0.0
     */
    void addHighActivityAwardActualPrize(HighActivityAwardActualPrize highActivityAwardActualPrize);


}
