package com.hai.service.impl;

import com.hai.dao.HighActivityAwardActualPrizeMapper;
import com.hai.dao.HighActivityAwardMapper;
import com.hai.dao.HighActivityAwardSerialNumMapper;
import com.hai.dao.HighActivityPrizeMapper;
import com.hai.entity.*;
import com.hai.service.HighActivityAwardService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("activityAwardService")
public class HighActivityAwardServiceImpl implements HighActivityAwardService {

    @Resource
    private HighActivityAwardMapper highActivityAwardMapper;

    @Resource
    private HighActivityPrizeMapper highActivityPrizeMapper;

    @Resource
    private HighActivityAwardSerialNumMapper highActivityAwardSerialNumMapper;

    @Resource
    private HighActivityAwardActualPrizeMapper highActivityAwardActualPrizeMapper;

    @Override
    public List<HighActivityAward> getListByActivityId(Long activityId) {
        HighActivityAwardExample example = new HighActivityAwardExample();
        example.createCriteria().andActivityInfoIdEqualTo(activityId).andStatusNotEqualTo(0);
        return highActivityAwardMapper.selectByExample(example);
    }

    @Override
    public void editHighActivateAward(HighActivityAward highActivityAward) {
        highActivityAwardMapper.insert(highActivityAward);
    }

    @Override
    public void editHighActivatePrize(HighActivityPrize highActivityPrize) {
        highActivityPrizeMapper.insert(highActivityPrize);
    }

    @Override
    public void addHighActivityAwardSerialNum(HighActivityAwardSerialNum highActivityAwardSerialNum) {
        highActivityAwardSerialNumMapper.insert(highActivityAwardSerialNum);
    }

    @Override
    public void addHighActivityAwardActualPrize(HighActivityAwardActualPrize highActivityAwardActualPrize) {
        highActivityAwardActualPrizeMapper.insert(highActivityAwardActualPrize);
    }
}
